Subject: Re: [PATCH] net: phy: micrel: add Asym Pause workaround for KSZ9021

From: Andrew Lunn <[email-masked]>
Date: Thu, 26 Sep 2019 14:09:22 +0200

On Thu, Sep 26, 2019 at 09:54:37AM +0200, Hans Andersson wrote:
> From: Hans Andersson <[email-masked]>
> 
> The Micrel KSZ9031 PHY may fail to establish a link when the Asymmetric
> Pause capability is set. This issue is described in a Silicon Errata
> (DS80000691D or DS80000692D), which advises to always disable the
> capability.
> 
> Micrel KSZ9021 has no errata, but has the same issue with Asymmetric Pause.
> This patch apply the same workaround as the one for KSZ9031.
> 
> Signed-off-by: Hans Andersson <[email-masked]>

Fixes: 3aed3e2a143c ("net: phy: micrel: add Asym Pause workaround")

This is not the best fixes: tag, since it was not that change which
broke it. But going further back will be hard.

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew